import request from '@/utils/request'

// 获取权限列表
export function getRole(parameter) {
  return request({
    url: '/api/role',
    method: 'get',
    params: parameter
  })
}

// 获取权限详情
export function getRoleDetails(parameter) {
  return request({
    url: '/api/role/' + parameter,
    method: 'get',
  })
}

// 添加角色权限
export function addRole(parameter) {
  return request({
    url: '/api/role',
    method: 'post',
    data: parameter
  })
}

// 编辑角色权限
export function putRole(parameter) {
  return request({
    url: '/api/role',
    method: 'put',
    data: parameter
  })
}

// 删除权限
export function delRole(parameter) {
  return request({
    url: '/api/role',
    method: 'delete',
    data: parameter
  })
}
